'use strict';

exports.dnsAddGET = function(args, res, next) {
  /**
   * parameters expected in the args:
  * _token_ (String)
  * add_dns_zone (String)
  * add_dns_record (String)
  * iis_site_for_dns (String)
  * bind_only (Boolean)
  **/
    var examples = {};
  examples['application/json'] = "aeiou";
  if(Object.keys(examples).length > 0) {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(examples[Object.keys(examples)[0]] || {}, null, 2));
  }
  else {
    res.end();
  }
  
}

exports.dnsBindGET = function(args, res, next) {
  /**
   * parameters expected in the args:
  * _token_ (String)
  * _key_ (Integer)
  * bind_to (String)
  **/
    var examples = {};
  examples['application/json'] = "aeiou";
  if(Object.keys(examples).length > 0) {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(examples[Object.keys(examples)[0]] || {}, null, 2));
  }
  else {
    res.end();
  }
  
}

exports.dnsListGET = function(args, res, next) {
  /**
   * parameters expected in the args:
  * _token_ (String)
  **/
    var examples = {};
  examples['application/json'] = [ {
  "full_domain_name_local" : "aeiou",
  "addr1" : "aeiou",
  "zone" : "aeiou",
  "full_domain_name" : "aeiou",
  "online" : true,
  "id" : "",
  "iis_id" : ""
} ];
  if(Object.keys(examples).length > 0) {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(examples[Object.keys(examples)[0]] || {}, null, 2));
  }
  else {
    res.end();
  }
  
}

exports.dnsProlongListGET = function(args, res, next) {
  /**
   * parameters expected in the args:
  * _token_ (String)
  **/
    var examples = {};
  examples['application/json'] = [ {
  "end_date" : "aeiou",
  "domain_addr" : "aeiou",
  "date_updated" : "aeiou",
  "record_created" : "aeiou",
  "payed_till" : "aeiou",
  "expires_countdown" : "",
  "nservers" : "aeiou",
  "subject_contract" : "aeiou",
  "object_state" : "aeiou"
} ];
  if(Object.keys(examples).length > 0) {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(examples[Object.keys(examples)[0]] || {}, null, 2));
  }
  else {
    res.end();
  }
  
}

exports.dnsRawGET = function(args, res, next) {
  /**
   * parameters expected in the args:
  * _token_ (String)
  * _key_ (Integer)
  * s_del (Integer)
  * s_add (Integer)
  * dns_type (String)
  * dns_name (String)
  * dns_value (String)
  **/
    var examples = {};
  examples['application/json'] = "aeiou";
  if(Object.keys(examples).length > 0) {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(examples[Object.keys(examples)[0]] || {}, null, 2));
  }
  else {
    res.end();
  }
  
}

exports.dnsRawManagedmxGET = function(args, res, next) {
  /**
   * parameters expected in the args:
  * _token_ (String)
  * _key_ (Integer)
  * managed_mx (Integer)
  * upd_managed_mx (Integer)
  **/
    var examples = {};
  examples['application/json'] = "aeiou";
  if(Object.keys(examples).length > 0) {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(examples[Object.keys(examples)[0]] || {}, null, 2));
  }
  else {
    res.end();
  }
  
}

