'use strict';

exports.balanceGET = function(args, res, next) {
  /**
   * parameters expected in the args:
  * _token_ (String)
  **/
    var examples = {};
  examples['application/json'] = 1.3579000000000001069366817318950779736042022705078125;
  if(Object.keys(examples).length > 0) {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(examples[Object.keys(examples)[0]] || {}, null, 2));
  }
  else {
    res.end();
  }
  
}

exports.balance_licGET = function(args, res, next) {
  /**
   * parameters expected in the args:
  * _token_ (String)
  **/
    var examples = {};
  examples['application/json'] = 1.3579000000000001069366817318950779736042022705078125;
  if(Object.keys(examples).length > 0) {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(examples[Object.keys(examples)[0]] || {}, null, 2));
  }
  else {
    res.end();
  }
  
}

exports.billingDebtGET = function(args, res, next) {
  /**
   * parameters expected in the args:
  * _token_ (String)
  **/
    var examples = {};
  examples['application/json'] = [ {
  "last_month_debt_sum2" : 1.3579000000000001069366817318950779736042022705078125,
  "negative_balance_days" : "",
  "last_month_debt_sum" : 1.3579000000000001069366817318950779736042022705078125,
  "block_date" : "aeiou",
  "negative_balance_days_lic" : ""
} ];
  if(Object.keys(examples).length > 0) {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(examples[Object.keys(examples)[0]] || {}, null, 2));
  }
  else {
    res.end();
  }
  
}

exports.billingInfoGET = function(args, res, next) {
  /**
   * parameters expected in the args:
  * _token_ (String)
  **/
    var examples = {};
  examples['application/json'] = [ {
  "stat_tech" : "",
  "stat_nicd" : "",
  "contract_id" : "aeiou",
  "description" : "aeiou",
  "external_currency_spelled_prefix" : "aeiou",
  "client_id" : "",
  "stat_vds_size" : "",
  "client_login" : "aeiou",
  "name_eng" : "aeiou",
  "stat_emails" : "",
  "blocked" : "aeiou",
  "stat_mysqls" : "",
  "credit_limit" : 1.3579000000000001069366817318950779736042022705078125,
  "stat_access_static" : "",
  "__period_price" : 1.3579000000000001069366817318950779736042022705078125,
  "id" : "",
  "external_currency_spelled_suffix" : "aeiou",
  "period_id" : "",
  "email" : "aeiou",
  "name_rus" : "aeiou",
  "stat_sites" : "",
  "blocked_date" : "aeiou",
  "__period_months" : "",
  "__plan_name" : "aeiou",
  "billing_group_id" : "",
  "contract_type" : "",
  "blocked_reason" : "aeiou",
  "stat_access_dynamic" : "",
  "stat_access_traffic" : "",
  "stat_size_mb" : "",
  "stat_paid_total" : "",
  "plan_id" : "",
  "__expires" : "aeiou"
} ];
  if(Object.keys(examples).length > 0) {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(examples[Object.keys(examples)[0]] || {}, null, 2));
  }
  else {
    res.end();
  }
  
}

exports.billingLimitsGET = function(args, res, next) {
  /**
   * parameters expected in the args:
  * _token_ (String)
  **/
    var examples = {};
  examples['application/json'] = {
  "ftp2" : "aeiou",
  "website" : "aeiou",
  "mail" : "aeiou",
  "size" : "aeiou",
  "mysql" : true,
  "dynamic_content" : true,
  "php_exec" : true,
  "mssql" : true
};
  if(Object.keys(examples).length > 0) {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(examples[Object.keys(examples)[0]] || {}, null, 2));
  }
  else {
    res.end();
  }
  
}

exports.dnsProlongListGET = function(args, res, next) {
  /**
   * parameters expected in the args:
  * _token_ (String)
  **/
    var examples = {};
  examples['application/json'] = [ {
  "end_date" : "aeiou",
  "domain_addr" : "aeiou",
  "date_updated" : "aeiou",
  "record_created" : "aeiou",
  "payed_till" : "aeiou",
  "expires_countdown" : "",
  "nservers" : "aeiou",
  "subject_contract" : "aeiou",
  "object_state" : "aeiou"
} ];
  if(Object.keys(examples).length > 0) {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(examples[Object.keys(examples)[0]] || {}, null, 2));
  }
  else {
    res.end();
  }
  
}

exports.emailAddGET = function(args, res, next) {
  /**
   * parameters expected in the args:
  * _token_ (String)
  * add_email (String)
  **/
    var examples = {};
  examples['application/json'] = "aeiou";
  if(Object.keys(examples).length > 0) {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(examples[Object.keys(examples)[0]] || {}, null, 2));
  }
  else {
    res.end();
  }
  
}

exports.emailAliasDeleteGET = function(args, res, next) {
  /**
   * parameters expected in the args:
  * _token_ (String)
  * _key_ (String)
  **/
    var examples = {};
  examples['application/json'] = "aeiou";
  if(Object.keys(examples).length > 0) {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(examples[Object.keys(examples)[0]] || {}, null, 2));
  }
  else {
    res.end();
  }
  
}

exports.emailAliasListGET = function(args, res, next) {
  /**
   * parameters expected in the args:
  * _token_ (String)
  **/
    var examples = {};
  examples['application/json'] = [ {
  "mail" : "aeiou",
  "alias" : "aeiou",
  "id" : ""
} ];
  if(Object.keys(examples).length > 0) {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(examples[Object.keys(examples)[0]] || {}, null, 2));
  }
  else {
    res.end();
  }
  
}

exports.emailDeleteGET = function(args, res, next) {
  /**
   * parameters expected in the args:
  * _token_ (String)
  * _key_ (String)
  **/
    var examples = {};
  examples['application/json'] = "aeiou";
  if(Object.keys(examples).length > 0) {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(examples[Object.keys(examples)[0]] || {}, null, 2));
  }
  else {
    res.end();
  }
  
}

exports.emailListGET = function(args, res, next) {
  /**
   * parameters expected in the args:
  * _token_ (String)
  **/
    var examples = {};
  examples['application/json'] = [ {
  "archived_count" : "",
  "mail" : "aeiou",
  "server_imap" : "aeiou",
  "mercury_pwd" : "aeiou",
  "size_amount" : "",
  "size_file_count" : "",
  "mercury_user" : "aeiou",
  "online" : true,
  "server_pop3" : "aeiou",
  "server_smtp" : "aeiou",
  "wm1" : "aeiou",
  "id" : "",
  "server_webmail" : "aeiou",
  "wm2" : "aeiou",
  "status" : ""
} ];
  if(Object.keys(examples).length > 0) {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(examples[Object.keys(examples)[0]] || {}, null, 2));
  }
  else {
    res.end();
  }
  
}

exports.updatesLastGET = function(args, res, next) {
  /**
   * parameters expected in the args:
  * _token_ (String)
  **/
    var examples = {};
  examples['application/json'] = "";
  if(Object.keys(examples).length > 0) {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(examples[Object.keys(examples)[0]] || {}, null, 2));
  }
  else {
    res.end();
  }
  
}

exports.updatesListGET = function(args, res, next) {
  /**
   * parameters expected in the args:
  * _token_ (String)
  * _key_ (Integer)
  **/
    var examples = {};
  examples['application/json'] = [ {
  "datetime" : "aeiou",
  "description_plain" : "aeiou",
  "description" : "aeiou",
  "id" : ""
} ];
  if(Object.keys(examples).length > 0) {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(examples[Object.keys(examples)[0]] || {}, null, 2));
  }
  else {
    res.end();
  }
  
}

exports.websiteDeleteGET = function(args, res, next) {
  /**
   * parameters expected in the args:
  * _token_ (String)
  * _key_ (String)
  **/
    var examples = {};
  examples['application/json'] = "aeiou";
  if(Object.keys(examples).length > 0) {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(examples[Object.keys(examples)[0]] || {}, null, 2));
  }
  else {
    res.end();
  }
  
}

exports.websiteListGET = function(args, res, next) {
  /**
   * parameters expected in the args:
  * _token_ (String)
  **/
    var examples = {};
  examples['application/json'] = [ {
  "detected_packages" : "aeiou",
  "cpu_limit_exceeded_date" : "aeiou",
  "memo" : "aeiou",
  "sharepoint_mode" : "aeiou",
  "backup_delta_desc" : "aeiou",
  "dns_id" : "aeiou",
  "id" : "",
  "scan_date" : "aeiou",
  "backup_stat_date" : "aeiou",
  "http_frontend_ip_transition" : "aeiou",
  "backup_delta_stat_date" : "aeiou",
  "admin_protection" : "aeiou",
  "cpu_details_enabled" : "aeiou",
  "size_amount" : "aeiou",
  "alt_docroot_server" : "aeiou",
  "backup_delta_date" : "aeiou",
  "alt_docroot_status" : "aeiou",
  "super_backup_date" : "aeiou",
  "user_id" : "aeiou",
  "alt_docroot_path" : "aeiou",
  "feedback_speed_dtc" : "aeiou",
  "analyze_analog" : "aeiou",
  "status" : "aeiou",
  "server_bak" : "aeiou",
  "server" : "aeiou",
  "iis_comments" : "aeiou",
  "apache_generic_pool_port" : "aeiou",
  "block_transfer" : "aeiou",
  "apache_php_pooled_ext_auto" : "aeiou",
  "mail_accept" : "aeiou",
  "size_file_count" : "aeiou",
  "ssh_ipfilter" : "aeiou",
  "live_day_count" : "aeiou",
  "l3d_auto" : "aeiou",
  "flag_no_www" : "aeiou",
  "base_folder" : "aeiou",
  "size_comments" : "aeiou",
  "iis_binding" : "aeiou",
  "apache_php_pool1_only" : "aeiou",
  "iis_creation_commands_unix" : "aeiou",
  "date_reg" : "aeiou",
  "server_transition" : "aeiou",
  "apache_php_pooled" : "aeiou",
  "flag_generic_exec" : "aeiou",
  "aufs_template" : "aeiou",
  "size_check_problem" : "aeiou",
  "net_limit_file" : "aeiou",
  "deleted" : "aeiou",
  "backup_special_mode" : "aeiou",
  "feedback_speed" : "aeiou",
  "global_transfer_count" : "aeiou",
  "copy_logs" : "aeiou",
  "wpb_uuid" : "aeiou",
  "sharepoint_mode_pending" : "aeiou",
  "iis_creation_commands" : "aeiou",
  "smtp_from" : "aeiou",
  "content_comments_verbose" : "aeiou",
  "meta_save_count" : "aeiou",
  "unmovable" : "aeiou",
  "deleted_auto" : "aeiou",
  "bypass_security" : "aeiou",
  "ftp_ipfilter" : "aeiou",
  "thumb_failed" : "aeiou",
  "alt_docroot_status_cnt" : "aeiou",
  "virtualhost_server_conf" : "aeiou",
  "stat_site_power" : "aeiou",
  "net_limit_deny_from_agent" : "aeiou",
  "http_frontend_ip" : "aeiou",
  "content_comments" : "aeiou",
  "iis_id" : "aeiou",
  "wpb_domain" : "aeiou",
  "unix_path_on_windows" : "aeiou",
  "content_moderated_date" : "aeiou",
  "size_date" : "aeiou",
  "server_changed_time" : "aeiou",
  "ftp_id" : "aeiou",
  "backup_date" : "aeiou",
  "options_autolimit" : "aeiou",
  "base_folder_suffix" : "aeiou",
  "size_priority_scan" : "aeiou",
  "apache_php_pool5_only" : "aeiou",
  "apache_ssi" : "aeiou",
  "wpb_status" : "aeiou",
  "server_transition_dtc" : "aeiou",
  "content_moderated_status" : "aeiou",
  "bind_dtc" : "aeiou",
  "size_file_count_limit" : "aeiou",
  "virtualhost_conf" : "aeiou",
  "alt_docroot_status_date" : "aeiou",
  "deleted_dump" : "aeiou",
  "mail_limit" : "aeiou",
  "thumb_date" : "aeiou",
  "ftp_name" : "aeiou",
  "ftp_pwd" : "aeiou",
  "iis_path" : "aeiou",
  "server_aux" : "aeiou",
  "awstats_primary_domain" : "aeiou",
  "feedback_speed_feedback" : "aeiou",
  "alt_docroot_ssd_req" : "aeiou",
  "mail_drop" : "aeiou",
  "flag_free" : "aeiou",
  "mongrel_environment" : "aeiou",
  "virtualhost_server" : "aeiou",
  "net_limit_deny_from_ip" : "aeiou",
  "online" : "aeiou",
  "rtm_scan_date" : "aeiou",
  "apache_php_pooled_ext" : "aeiou"
} ];
  if(Object.keys(examples).length > 0) {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(examples[Object.keys(examples)[0]] || {}, null, 2));
  }
  else {
    res.end();
  }
  
}

