'use strict';

exports.vdsCreateGET = function(args, res, next) {
  /**
   * parameters expected in the args:
  * _token_ (String)
  * type (String)
  * cr_hvmem (Integer)
  * cr_hvdsk (Integer)
  * cr_hvcpu (Integer)
  * template (String)
  * force_memo (String)
  * hv_1gb_panel_version (String)
  * panel_install (Boolean)
  * cr_ssd1 (Boolean)
  * cr_hv_all_system (Boolean)
  **/
    var examples = {};
  examples['application/json'] = "aeiou";
  if(Object.keys(examples).length > 0) {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(examples[Object.keys(examples)[0]] || {}, null, 2));
  }
  else {
    res.end();
  }
  
}

exports.vdsDeleteGET = function(args, res, next) {
  /**
   * parameters expected in the args:
  * _token_ (String)
  * _key_ (Integer)
  * force_critical (Boolean)
  **/
    var examples = {};
  examples['application/json'] = "aeiou";
  if(Object.keys(examples).length > 0) {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(examples[Object.keys(examples)[0]] || {}, null, 2));
  }
  else {
    res.end();
  }
  
}

exports.vdsIpAddGET = function(args, res, next) {
  /**
   * parameters expected in the args:
  * _token_ (String)
  * _key_ (Integer)
  **/
    var examples = {};
  examples['application/json'] = "aeiou";
  if(Object.keys(examples).length > 0) {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(examples[Object.keys(examples)[0]] || {}, null, 2));
  }
  else {
    res.end();
  }
  
}

exports.vdsIpDeleteGET = function(args, res, next) {
  /**
   * parameters expected in the args:
  * _token_ (String)
  * _key_ (Integer)
  * del_ip (String)
  **/
    var examples = {};
  examples['application/json'] = "aeiou";
  if(Object.keys(examples).length > 0) {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(examples[Object.keys(examples)[0]] || {}, null, 2));
  }
  else {
    res.end();
  }
  
}

exports.vdsIpListGET = function(args, res, next) {
  /**
   * parameters expected in the args:
  * _token_ (String)
  * _key_ (Integer)
  **/
    var examples = {};
  examples['application/json'] = [ {
  "ip" : "aeiou",
  "vds_id" : ""
} ];
  if(Object.keys(examples).length > 0) {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(examples[Object.keys(examples)[0]] || {}, null, 2));
  }
  else {
    res.end();
  }
  
}

exports.vdsListGET = function(args, res, next) {
  /**
   * parameters expected in the args:
  * _token_ (String)
  * _key_ (Integer)
  **/
    var examples = {};
  examples['application/json'] = [ {
  "template" : "aeiou",
  "stopped" : true,
  "deleted" : true,
  "online" : true,
  "physical_mac" : "aeiou",
  "type_full" : "aeiou",
  "id" : "",
  "pwd" : "aeiou",
  "type" : "aeiou"
} ];
  if(Object.keys(examples).length > 0) {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(examples[Object.keys(examples)[0]] || {}, null, 2));
  }
  else {
    res.end();
  }
  
}

exports.vdsRebootGET = function(args, res, next) {
  /**
   * parameters expected in the args:
  * _token_ (String)
  * _key_ (Integer)
  **/
    var examples = {};
  examples['application/json'] = "aeiou";
  if(Object.keys(examples).length > 0) {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(examples[Object.keys(examples)[0]] || {}, null, 2));
  }
  else {
    res.end();
  }
  
}

exports.vdsTemplates_listGET = function(args, res, next) {
  /**
   * parameters expected in the args:
  * _token_ (String)
  **/
    var examples = {};
  examples['application/json'] = [ {
  "template" : "aeiou",
  "actual_template" : "",
  "popularity" : "",
  "type" : "aeiou"
} ];
  if(Object.keys(examples).length > 0) {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(examples[Object.keys(examples)[0]] || {}, null, 2));
  }
  else {
    res.end();
  }
  
}

exports.vdsUpdateGET = function(args, res, next) {
  /**
   * parameters expected in the args:
  * _token_ (String)
  * _key_ (Integer)
  * cr_hvmem (Integer)
  * cr_hvdsk (Integer)
  * cr_hvcpu (Integer)
  **/
    var examples = {};
  examples['application/json'] = "aeiou";
  if(Object.keys(examples).length > 0) {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(examples[Object.keys(examples)[0]] || {}, null, 2));
  }
  else {
    res.end();
  }
  
}

